> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cortex.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Users

Use these operations to list users in your Cortex workspace along with their profile metadata, and to retrieve their role assignments.

### Required permissions

Your API token must have the `View Roles` permission.

<Info>
  Some built-in API key roles (`VIWER`, `USER`, and `MANAGER`) do not include `View Roles`. To call this endpoint with an API key, use an `ADMIN` key or create a new one and assign it a [custom role](/configure/settings/managing-users/permissioning/custom-roles) that grants `View Roles`.
</Info>

## Operations

<Columns cols={2}>
  <Card title="List users" icon="code" href="/api/rest/users/list-users">
    `GET /api/v1/users`
  </Card>

  <Card title="List user role assignments" icon="code" href="/api/rest/users/list-user-role-assignments">
    `GET /api/v1/users/roles`
  </Card>
</Columns>


## Related topics

- [List users](/api/rest/users/list-users.md)
- [Creates a user](/api/rest/scim/creates-a-user.md)
- [Deletes a user](/api/rest/scim/deletes-a-user.md)
